From 8a2a99aae9afd2b85a3bf8da770c505545c69db9 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Tue, 25 Jun 2024 11:53:00 +0800
Subject: [PATCH] Use absolute paths to openssl

---
 racket/collects/openssl/libcrypto.rkt | 9 +--------
 racket/collects/openssl/libssl.rkt    | 9 +--------
 2 files changed, 2 insertions(+), 16 deletions(-)

diff --git racket/collects/openssl/libcrypto.rkt racket/collects/openssl/libcrypto.rkt
index 7d5a883afe..c1f66b196a 100644
--- collects/openssl/libcrypto.rkt
+++ collects/openssl/libcrypto.rkt
@@ -76,14 +76,7 @@
 
 ;; We need to declare because they might be distributed with Racket,
 ;; in which case they should get bundled with stand-alone executables:
-(define-runtime-path libcrypto-so
-  #:runtime?-id runtime?
-  (case (if runtime? (system-type) (cross-system-type))
-    [(windows) '(so "libeay32")]
-    [(macosx)
-     ;; Version "1.1" is bundled with Racket
-     '(so "libcrypto" ("1.1" #f))]
-    [else '(so "libcrypto")]))
+(define-runtime-path libcrypto-so "/opt/local/lib/openssl-1.1/libcrypto.1.1.dylib")
 
 (define libcrypto
   (with-handlers ([exn:fail? (lambda (x)
diff --git racket/collects/openssl/libssl.rkt racket/collects/openssl/libssl.rkt
index b570ec007b..1c7a19ecaa 100644
--- collects/openssl/libssl.rkt
+++ collects/openssl/libssl.rkt
@@ -13,14 +13,7 @@
 
 ;; We need to declare because they might be distributed with PLT Scheme
 ;; in which case they should get bundled with stand-alone executables:
-(define-runtime-path libssl-so
-  #:runtime?-id runtime?
-  (case (if runtime? (system-type) (cross-system-type))
-    [(windows) '(so "ssleay32")]
-    [(macosx)
-     ;; Version "1.1" is bundled with Racket
-     '(so "libssl" ("1.1" #f))]
-    [else '(so "libssl")]))
+(define-runtime-path libssl-so "/opt/local/lib/openssl-1.1/libssl.1.1.dylib")
 
 (define libssl
   (and libcrypto
